Recuperar una notificación de workspace
Devuelve el detalle de una notificación de workspace de la organización autorizada.
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"severity": "maintenance",
"target": "workspaces",
"status": "generated",
"time_zone": "Europe/Madrid",
"start_date_utc": "2026-09-01T08:00:00.000Z",
"end_date_utc": "2026-09-01T18:00:00.000Z",
"message": "Mantenimiento programado",
"ask_for_acknowledgement": true,
"accepted_by_users": 12,
"blink": false,
"disable_minimize": false,
"tooltip": "Aviso de mantenimiento",
"link": "https://example.com/notice",
"organization_id": "507f1f77bcf86cd799439011"
}{
"error": {
"message": "Parámetros de solicitud no válidos.",
"code": "BAD_REQUEST",
"details": "El identificador de la notificación de workspace no es un UUID válido"
}
}{
"error": {
"message": "No autorizado.",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "Recurso no encontrado.",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "Límite de solicitudes excedido.",
"code": "TOO_MANY_REQUESTS"
}
}{
"error": {
"message": "Error interno del servidor.",
"code": "INTERNAL_SERVER_ERROR"
}
}{
"error": {
"message": "Database unavailable",
"code": "SERVICE_UNAVAILABLE"
}
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
Identificador de la organización.
24^[0-9a-f]{24}$Identificador de la notificación de workspace.
36^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Parámetros de consulta
Campos de respuesta separados por comas.
2048Respuesta
Notificación de workspace recuperada correctamente.
Identificador de la notificación de workspace.
Severidad de la notificación.
informative, maintenance, issue Destino de la notificación.
workspaces, sessions, users Estado de la notificación.
pending, generated, closing, manually_closed, error, expired Zona horaria de la notificación.
Fecha y hora de inicio en UTC.
Fecha y hora de fin en UTC.
Mensaje de la notificación.
Indica si se solicita acuse de recibo.
Número de usuarios que han aceptado la notificación.
Indica si la notificación parpadea.
Indica si se deshabilita minimizar la notificación.
Texto de ayuda de la notificación.
Enlace asociado a la notificación.
Identificador de la organización asociada.
24^[0-9a-f]{24}$curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"severity": "maintenance",
"target": "workspaces",
"status": "generated",
"time_zone": "Europe/Madrid",
"start_date_utc": "2026-09-01T08:00:00.000Z",
"end_date_utc": "2026-09-01T18:00:00.000Z",
"message": "Mantenimiento programado",
"ask_for_acknowledgement": true,
"accepted_by_users": 12,
"blink": false,
"disable_minimize": false,
"tooltip": "Aviso de mantenimiento",
"link": "https://example.com/notice",
"organization_id": "507f1f77bcf86cd799439011"
}{
"error": {
"message": "Parámetros de solicitud no válidos.",
"code": "BAD_REQUEST",
"details": "El identificador de la notificación de workspace no es un UUID válido"
}
}{
"error": {
"message": "No autorizado.",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "Recurso no encontrado.",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "Límite de solicitudes excedido.",
"code": "TOO_MANY_REQUESTS"
}
}{
"error": {
"message": "Error interno del servidor.",
"code": "INTERNAL_SERVER_ERROR"
}
}{
"error": {
"message": "Database unavailable",
"code": "SERVICE_UNAVAILABLE"
}
}